function [] = gdl_plot( y )
%
  n=size(y,2);
  x=1:n;
  plot(x,y(1,:),'kp-',x,y(2,:),'ro-',x,y(3,:),'bd:',x,y(4,:),'gx-', x,y(5,:),'cs-',...
       x,y(6,:),'m^--','LineWidth', 3,'MarkerSize',15);
 % plot(x,y(1,:),'k^-',x,y(2,:),'rd-',x,y(3,:),'go-','LineWidth', 3,'MarkerSize',10);
  legend('GDL','PFRank','MR','LE','HLLE','MVU');%, 'Euclidean');
  %set(legend,'fontweight','bold');
  set(legend,'fontsize',18);
  xlabel('Scope','fontsize',22,'fontweight','bold');
  %xlabel('h^{1/2}');
  ylabel('Precision','fontsize',22,'fontweight','bold');
  set(gca,'fontsize',20);
  xlim([1 n]);
  set(gca, 'XTick', [ 2  4  6  8  10]);
  set(gca, 'XTickLabel', { 20,  40,  60,  80,  100});
  ylim([0 1]);
  grid on;
end

